#ifndef CURL_VOLATILITY_H
#define CURL_VOLATILITY_H

#if defined(_MSC_VER) && (_MSC_VER >= 1200)
# pragma once
#endif // defined(_MSC_VER) && (_MSC_VER >= 1200)

typedef enum {
	byPips = 2,
	byCurr = 3,
	byPerc = 4
} VOLTYPE;

class CVolatility
{
public:
	CVolatility() {};
	double FindData(const std::string& szHtml, const std::string& pair, VOLTYPE vtype = byPips);
	~CVolatility() {};

protected:
	double FindTable(GumboNode* node);
	double FindTableRow(GumboNode * node);
	double GetVolatility(GumboNode* node);
private:

	std::string m_idtable = "volTable";
	VOLTYPE m_column;
	std::string m_pair;
	static void* malloc_wrapper(void* unused, size_t size) { return malloc(size); }
	static void free_wrapper(void* unused, void* ptr) { free(ptr); }
};

#endif // CURL_VOLATILITY_H
